Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Class AffineRable8Bit

    java.lang.Object
      org.apache.batik.ext.awt.image.renderable.AbstractRable
          org.apache.batik.ext.awt.image.renderable.AffineRable8Bit

All Implemented Interfaces:
  AffineRable, Filter, PaintRable, java.awt.image.renderable.RenderableImage

public class AffineRable8Bit
extends AbstractRable
implements AffineRable, PaintRable

Concrete implementation of the AffineRable interface. This adjusts the input images coordinate system by a general affine

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`props, srcs, stamp`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Constructor Summary
`AffineRable8Bit(Filter src, java.awt.geom.AffineTransform affine)`

Method Summary
`java.awt.image.RenderedImage` | `createRendering(java.awt.image.renderable.RenderContext rc)`
`java.awt.geom.AffineTransform` | `getAffine()` Get the Affine.
`java.awt.geom.Rectangle2D` | `getBounds2D()` Returns the bounds of the current image.
`java.awt.Shape` | `getDependencyRegion(int srcIndex, java.awt.geom.Rectangle2D outputRgn)` Returns the region of input data is is required to generate outputRgn.
`java.awt.Shape` | `getDirtyRegion(int srcIndex, java.awt.geom.Rectangle2D inputRgn)` This calculates the region of output that is affected by a change in a region of input.
`Filter` | `getSource()` Returns the source to be affine.
`boolean` | `paintRable(java.awt.Graphics2D g2d)` Should perform the equivilent action as createRendering followed by drawing the RenderedImage.
`void` | `setAffine(java.awt.geom.AffineTransform affine)` Set the affine transform.
`void` | `setSource(Filter src)` Sets the source to be affine.

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`createDefaultRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getTimeStamp, getWidth, init, init, init, init, isDynamic, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Constructor Detail

### AffineRable8Bit

    public AffineRable8Bit(Filter src,
                           java.awt.geom.AffineTransform affine)

Method Detail

### getBounds2D

    public java.awt.geom.Rectangle2D getBounds2D()

  Description copied from interface: `Filter`
  Returns the bounds of the current image. This should be 'in sync' with getMinX, getMinY, getWidth, getHeight

  Specified by:
    `getBounds2D` in interface `Filter`
  Overrides:
    `getBounds2D` in class `AbstractRable`

### getSource

    public Filter getSource()

  Returns the source to be affine.

  Specified by:
    `getSource` in interface `AffineRable`

### setSource

    public void setSource(Filter src)

  Sets the source to be affine.

  Specified by:
    `setSource` in interface `AffineRable`
  Parameters:
    `src` - image to affine.

### setAffine

    public void setAffine(java.awt.geom.AffineTransform affine)

  Set the affine transform.

  Specified by:
    `setAffine` in interface `AffineRable`
  Parameters:
    `affine` - the new Affine transform to apply.

### getAffine

    public java.awt.geom.AffineTransform getAffine()

  Get the Affine.

  Specified by:
    `getAffine` in interface `AffineRable`
  Returns:
    the Affine transform currently in effect.

### paintRable

    public boolean paintRable(java.awt.Graphics2D g2d)

  Should perform the equivilent action as createRendering followed by drawing the RenderedImage.

  Specified by:
    `paintRable` in interface `PaintRable`
  Parameters:
    `g2d` - The Graphics2D to draw to.
  Returns:
    true if the paint call succeeded, false if for some reason the paint failed (in which case a createRendering should be used).

### createRendering

    public java.awt.image.RenderedImage createRendering(java.awt.image.renderable.RenderContext rc)

  Specified by:
    `createRendering` in interface `java.awt.image.renderable.RenderableImage`

### getDependencyRegion

    public java.awt.Shape getDependencyRegion(int srcIndex,
                                              java.awt.geom.Rectangle2D outputRgn)

  Description copied from interface: `Filter`
  Returns the region of input data is is required to generate outputRgn.

  Specified by:
    `getDependencyRegion` in interface `Filter`
  Overrides:
    `getDependencyRegion` in class `AbstractRable`

### getDirtyRegion

    public java.awt.Shape getDirtyRegion(int srcIndex,
                                         java.awt.geom.Rectangle2D inputRgn)

  Description copied from interface: `Filter`
  This calculates the region of output that is affected by a change in a region of input.

  Specified by:
    `getDirtyRegion` in interface `Filter`
  Overrides:
    `getDirtyRegion` in class `AbstractRable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.